/*
	AverageFilter.h
*/

#ifndef _AVERAGEFILTER_H
#define _AVERAGEFILTER_H

#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
	#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

/*For python modules: needs to come before header files inclusion*/
#ifdef _HAVE_PYTHON_
#define PY_ARRAY_UNIQUE_SYMBOL PythonIOSymbol
#endif

/* local prototypes: */
void AverageFilterUsage(void);

#include "../../c/include/globals.h"
#include "../../c/modules/modules.h"
#include "../../c/Container/Container.h"
#include "../../c/shared/shared.h"
#include "../../c/issm-binding.h"

#undef __FUNCT__ 
#define __FUNCT__  "AverageFilter"

#ifdef _HAVE_MATLAB_MODULES_
/* serial input macros: */
#define IMAGEIN prhs[0]
#define SMOOTH prhs[1]

/* serial output macros: */
#define IMAGEOUT &plhs[0]
#endif

/* serial arg counts: */
#undef NLHS
#define NLHS  1
#undef NRHS
#define NRHS  2

#endif  /* _AVERAGEFILTER_H */
